Last Comment Bug 737199 - Make gonk backend support ICS InputReader
: Make gonk backend support ICS InputReader
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Widget (show other bugs)
: unspecified
: All Gonk (Firefox OS)
: -- normal (vote)
: ---
Assigned To: Michael Wu [:mwu]
:
Mentors:
Depends on:
Blocks: gonk-ics 739139 739417 745077
  Show dependency treegraph
 
Reported: 2012-03-19 14:24 PDT by Michael Wu [:mwu]
Modified: 2012-04-22 02:14 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Make gonk backend support ICS InputReader (11.79 KB, patch)
2012-03-19 14:24 PDT, Michael Wu [:mwu]
mwu.code: review+
Details | Diff | Review
part 1: Import the Ice Cream Sandwich version of InputReader and friends to get off the treadmill of an internal interface (829.98 KB, patch)
2012-03-25 01:25 PDT, Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
cjones.bugs: review+
Details | Diff | Review
part 2: Port Gonk nsAppShell to the ICS InputReader (20.17 KB, patch)
2012-03-25 01:26 PDT, Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
no flags Details | Diff | Review
part 2: Port Gonk nsAppShell to the ICS InputReader (20.17 KB, patch)
2012-03-25 02:14 PDT, Chris Jones [:cjones] inactive; ni?/f?/r? if you need me
gal: review+
Details | Diff | Review

Description Michael Wu [:mwu] 2012-03-19 14:24:40 PDT
Created attachment 607322 [details] [diff] [review]
Make gonk backend support ICS InputReader

This is a patch by an anonymous silicon vendor contributor. It's a bit messy but I will clean it up later when we stop depending on frameworks/base for our inputreading needs.
Comment 1 Michael Wu [:mwu] 2012-03-19 14:27:10 PDT
Comment on attachment 607322 [details] [diff] [review]
Make gonk backend support ICS InputReader

r=me cuz I can.
Comment 2 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-03-25 01:25:49 PDT
Created attachment 609087 [details] [diff] [review]
part 1: Import the Ice Cream Sandwich version of InputReader and friends to get off the treadmill of an internal interface

Also r=mwu.
Comment 3 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-03-25 01:26:35 PDT
Created attachment 609088 [details] [diff] [review]
part 2: Port Gonk nsAppShell to the ICS InputReader

The parts I didn't write are r=me.  I fixed the TODO stuff, which could use another pair of eyes, so r?mwu.
Comment 4 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-03-25 02:13:16 PDT
https://hg.mozilla.org/mozilla-central/rev/b70043c5cc01

Part 1 here is the last patch needed for ICS compat in upstream m-c, please to be reviewing in a timely fashion :).
Comment 5 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-03-25 02:13:25 PDT
er, part 2
Comment 6 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-03-25 02:14:37 PDT
Created attachment 609093 [details] [diff] [review]
part 2: Port Gonk nsAppShell to the ICS InputReader

No code changes, just updated hg metadata.
Comment 7 Andreas Gal :gal 2012-03-25 03:02:10 PDT
Comment on attachment 609093 [details] [diff] [review]
part 2: Port Gonk nsAppShell to the ICS InputReader

injectInputEvent needs a little indentation love
Comment 8 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2012-03-25 03:07:09 PDT
Landed with indentation fix.

https://hg.mozilla.org/mozilla-central/rev/0e0773c0188f

mwu please file followups if you have more comments.

Note You need to log in before you can comment on or make changes to this bug.